Package org.h2.engine

# Enum Class Mode.ModeEnum

java.lang.Object
java.lang.Enum<Mode.ModeEnum>
org.h2.engine.Mode.ModeEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<Mode.ModeEnum>`, `Constable`

Enclosing class:
  `Mode`

public static enum Mode.ModeEnum extends Enum<Mode.ModeEnum>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DB2`
`Derby`
`HSQLDB`
`LEGACY`
`MariaDB`
`MSSQLServer`
`MySQL`
`Oracle`
`PostgreSQL`
`REGULAR`
`STRICT`

## Method Summary

Modifier and Type
Method
Description
`static Mode.ModeEnum`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Mode.ModeEnum[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### REGULAR

public static final Mode.ModeEnum REGULAR

### STRICT

public static final Mode.ModeEnum STRICT

### LEGACY

public static final Mode.ModeEnum LEGACY

### DB2

public static final Mode.ModeEnum DB2

### Derby

public static final Mode.ModeEnum Derby

### MariaDB

public static final Mode.ModeEnum MariaDB

### MSSQLServer

public static final Mode.ModeEnum MSSQLServer

### HSQLDB

public static final Mode.ModeEnum HSQLDB

### MySQL

public static final Mode.ModeEnum MySQL

### Oracle

public static final Mode.ModeEnum Oracle

### PostgreSQL

public static final Mode.ModeEnum PostgreSQL

## Method Details

### values

public static Mode.ModeEnum[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Mode.ModeEnum valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null